name: 'Issues workflow'
on:
  issues:
    types: [ opened, edited ]
  pull_request:
    types: [ opened, edited ]
  issue_comment:
    types: [ created, edited ]

permissions:
  issues: write
  pull-requests: write

jobs:
  accessibility_alt_text_bot:
    name: 'Check alt text is set on issue or pull requests'
    runs-on: ubuntu-latest
    if: ${{ github.event.issue || github.event.pull_request }}
    steps:
      - name: Get action 'github/accessibility-alt-text-bot'
        uses: github/accessibility-alt-text-bot@v1.4.0
